#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Random
Summary:	String::Random - Perl module to generate random strings based on a pattern
Summary(pl.UTF-8):	String::Random - moduł Perla do generowania losowych łańcuchów na podstawie wzoru
Name:		perl-String-Random
Version:	0.30
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d54ea58b992d9a2a1966051a4816693f
URL:		http://search.cpan.org/dist/String-Random/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::Random is used to generate random strings.  It was written to
make generating random passwords and such a little easier.

%description -l pl.UTF-8
Moduł String::Random służy do generowania losowych łańcuchów. Został
napisany, aby uczynić znacznie łatwiejszym generowanie losowych haseł.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%changelog
* Mon Nov 19 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-Random.git;a=log;h=master

* Mon Nov 19 2018 Adam Gołębiowski <adamg@pld-linux.org> d4b2be9
- updated to 0.30

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> c5e1642
- generic URL
- BR: perl-Module-Build

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9cb4fb9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d6c72cb
- converted to UTF-8

* Mon Oct 23 2006 ankry <ankry@pld-linux.org> 894a8c2
- ver. 0.22, switch to Build.PL

* Fri Dec 03 2004 ankry <ankry@pld-linux.org> 22073ed
- reverted

* Fri Dec 03 2004 radek <radek@pld-linux.org> 4df3c72
- autoupdated to 0.198

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 0894fab
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> d14a5ec
- rel. 2

* Sat May 01 2004 ankry <ankry@pld-linux.org> 520afc6
- license fixed, cosmetics

* Wed Apr 14 2004 Jakub Bogusz <qboosh@pld-linux.org> 537e1f9
- Epoch 1 (0.20 < 0.198 for rpm); new-style bcond, updated deps

* Wed Apr 14 2004 Adam Gołębiowski <adamg@pld-linux.org> a267182
- updated to 0.20

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> ce0dbb7
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 12cd2a0
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 0f1ded1
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> a6202b6
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> b45667f
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> b25aa5e
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 9fc6c9f
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> b7ad68c
- massive attack: change CPAN URLs

